HtmlAjaxRepeat (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.ajax4jsf.component.html.HtmlAjaxRepeat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component.html
Class HtmlAjaxRepeat

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  org.ajax4jsf.component.UIDataAdaptor
                      org.ajax4jsf.component.SequenceDataAdaptor
                          org.ajax4jsf.component.UIRepeat
                              org.ajax4jsf.component.html.HtmlAjaxRepeat

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxDataEncoder

    public class HtmlAjaxRepeat

extends UIRepeat

Nested Class Summary

Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor
`org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.ajax4jsf.component.UIDataAdaptor
`COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`HtmlAjaxRepeat()`

Method Summary
`java.lang.String` | `getFamily()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`

Methods inherited from class org.ajax4jsf.component.UIRepeat
`dataChildren, fixedChildren`

Methods inherited from class org.ajax4jsf.component.SequenceDataAdaptor
`createComponentState, createDataModel, getDataModel, setDataModel`

Methods inherited from class org.ajax4jsf.component.UIDataAdaptor
`addRequestKey, broadcast, broadcastLocal, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, encodeBegin, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyConverter, getRowKeyVar, getStateVar, getValue, invokeOnComponent, isRowAvailable, iterate, processDecodes, processDecodes, processUpdates, processUpdates, processValidators, processValidators, queueEvent, removeRequestKey, resetComponent, resetDataModel, restoreChildState, restoreOrigValue, restoreOrigValue, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowIndex, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setupVariable, setValue, walk`

Methods inherited from class javax.faces.component.UIData
`getFirst, getFooter, getHeader, getRows, getVar, setFirst, setFooter, setHeader, setRows, setValueBinding, setValueExpression, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlAjaxRepeat

    public HtmlAjaxRepeat()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIData`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `org.ajax4jsf.component.UIDataAdaptor`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `org.ajax4jsf.component.UIDataAdaptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.